using Rust;

namespace Oxide.Plugins
{
    [Info("Disable Cold Damage", "Talha", "1.0.2")]
    [Description("Prevents cold damage for players, with permission.")]
    public class DisableColdDamage : RustPlugin
    {
		private const string permDisable = "disablecolddamage.use";
		
		private void Init()
        {
            permission.RegisterPermission(permDisable, this);
        }
        
        private void OnEntityTakeDamage(BasePlayer player, HitInfo info)
        {
            if (info.damageTypes.GetMajorityDamageType() == DamageType.Cold && permission.UserHasPermission(player.UserIDString, permDisable))
            {
                info.damageTypes = new DamageTypeList();
            }
        }
    }
}