using System.Collections.Generic;
using UnityEngine;
using Oxide.Game.Rust.Cui;
using System;
using System.Linq;
using Oxide.Core.Configuration;
using Oxide.Core;

namespace Oxide.Plugins
{
    [Info("迅捷菜单", "白夜", "1.0", ResourceId = 0)]

    class XjCd : RustPlugin
    {
        #region Config

        private Dictionary<ulong, screen> XjCdInfo = new Dictionary<ulong, screen>();
        class screen
        {
            public bool open;
        }

        #endregion

        #region GUI Display
        private void OpenXjCd(BasePlayer player)
        {
            if (!XjCdInfo.ContainsKey(player.userID))
                XjCdGuiCreate(player);
            return;
        }

        private void DestroyXjCd(BasePlayer player)
        {
            if (XjCdInfo.ContainsKey(player.userID))
                if (XjCdInfo[player.userID].open)
                    XjCdInfo[player.userID].open = false;
            CuiHelper.DestroyUi(player, "xjCd");
        }
        #endregion

        #region GUI Generation
        public void XjCdGuiCreate(BasePlayer player)
        {
            if (player == null)
                return;

            var xjCdElements = new CuiElementContainer();
            var quickMain = xjCdElements.Add(new CuiPanel
            {
                Image = { Color = "0.13 0.13 0.13 0" },
                RectTransform = { AnchorMin = "0.005 0.025", AnchorMax = "0.15 0.085" },
                CursorEnabled = true,
            }, "Overlay", "xjCd");
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say /kill"}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "0.1 12", AnchorMax = "0.7 12.8" },
                Text = { Color = "1 1 1 1.0", Text = "自杀KILL", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/bz"}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "0.1 11", AnchorMax = "0.7 11.8" },
                Text = { Color = "1 1 1 1.0", Text = "帮助页面", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/kit"}", Color = "0.0 0.6 0.5 0.5" },
                RectTransform = { AnchorMin = "0.1 10", AnchorMax = "0.7 10.8" },
                Text = { Color = "1 1 1 1.0", Text = "KIT礼包", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/b"}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "0.1 9", AnchorMax = "0.7 9.8" },
                Text = { Color = "1 1 1 1.0", Text = "额外背包", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/zx\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "0.1 8", AnchorMax = "0.7 8.8" },
                Text = { Color = "1 1 1 1.0", Text = "准心", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/ad\""}", Color = "0.0 0.6 0.5 0.5" },
                RectTransform = { AnchorMin = "0.1 7", AnchorMax = "0.7 7.8" },
                Text = { Color = "1 1 1 1.0", Text = "开关自动关门", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/clan help\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "0.1 6", AnchorMax = "0.7 6.8" },
                Text = { Color = "1 1 1 1.0", Text = "战队帮助", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say /friend"}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "0.1 5", AnchorMax = "0.7 5.8" },
                Text = { Color = "1 1 1 1.0", Text = "朋友帮助", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);

            xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/pm\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "0.1 4", AnchorMax = "0.7 4.8" },
                Text = { Color = "1 1 1 1.0", Text = "服务器排名", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/remove\""}", Color = "1.0 0.0 0.1 0.7" },
                RectTransform = { AnchorMin = "0.1 3", AnchorMax = "0.7 3.8" },
                Text = { Color = "1 1 1 1.0", Text = "一键拆除", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);//从上往下1-10
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/sjjz 1\""}", Color = "0.6 0.0 0.5 0.5" },
                RectTransform = { AnchorMin = "0.75 12", AnchorMax = "1.35 12.8" },
                Text = { Color = "1 1 1 1.0", Text = "一键升级木头", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/sjjz 2\""}", Color = "0.6 0.0 0.5 0.5" },
                RectTransform = { AnchorMin = "0.75 11", AnchorMax = "1.35 11.8" },
                Text = { Color = "1 1 1 1.0", Text = "一键升级石头", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/sjjz 3\""}", Color = "0.6 0.0 0.5 0.5" },
                RectTransform = { AnchorMin = "0.75 10", AnchorMax = "1.35 10.8" },
                Text = { Color = "1 1 1 1.0", Text = "一键升级铁皮", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/sjjz 4\""}", Color = "0.6 0.0 0.5 0.5" },
                RectTransform = { AnchorMin = "0.75 9", AnchorMax = "1.35 9.8" },
                Text = { Color = "1 1 1 1.0", Text = "一键升级钢铁", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/tg\""}", Color = "0.0 0.6 0.5 0.5" },
                RectTransform = { AnchorMin = "0.75 8", AnchorMax = "1.35 8.8" },
                Text = { Color = "1 1 1 1.0", Text = "夜晚跳过", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/s\""}", Color = "0.0 0.6 0.5 0.5" },
                RectTransform = { AnchorMin = "0.75 7", AnchorMax = "1.35 7.8" },
                Text = { Color = "1 1 1 1.0", Text = "商店", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/mymini\""}", Color = "0.0 0.6 0.5 0.5" },
                RectTransform = { AnchorMin = "0.75 6", AnchorMax = "1.35 6.8" },
                Text = { Color = "1 1 1 1.0", Text = "刷小飞机", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/nomini\""}", Color = "0.0 0.6 0.5 0.5" },
                RectTransform = { AnchorMin = "0.75 5", AnchorMax = "1.35 5.8" },
                Text = { Color = "1 1 1 1.0", Text = "删小飞机", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/turret\""}", Color = "0.6 0.0 0.5 0.5" },
                RectTransform = { AnchorMin = "0.75 4", AnchorMax = "1.35 4.8" },
                Text = { Color = "1 1 1 1.0", Text = "炮台无需电力", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/recycle\""}", Color = "0.6 0.0 0.5 0.5" },
                RectTransform = { AnchorMin = "0.75 3", AnchorMax = "1.35 3.8" },
                Text = { Color = "1 1 1 1.0", Text = "一键回收机", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);//从上往下10-20
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/ye\""}", Color = "0.6 0.0 0.5 0.5" },
                RectTransform = { AnchorMin = "1.4 12", AnchorMax = "2 12.8" },
                Text = { Color = "1 1 1 1.0", Text = "夜视", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/pf\""}", Color = "0.6 0.0 0.5 0.5" },
                RectTransform = { AnchorMin = "1.4 11", AnchorMax = "2 11.8" },
                Text = { Color = "1 1 1 1.0", Text = "皮肤箱", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/xf\""}", Color = "0.6 0.0 0.5 0.5" },
                RectTransform = { AnchorMin = "1.4 10", AnchorMax = "2 10.8" },
                Text = { Color = "1 1 1 1.0", Text = "一键修复", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say /bank"}", Color = "0.6 0.0 0.5 0.5" },
                RectTransform = { AnchorMin = "1.4 9", AnchorMax = "2 9.8" },
                Text = { Color = "1 1 1 1.0", Text = "银行", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say /fjj"}", Color = "0.6 0.0 0.5 0.5" },
                RectTransform = { AnchorMin = "1.4 8", AnchorMax = "2 8.8" },
                Text = { Color = "1 1 1 1.0", Text = "分解机传送", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/sethome 1\""}", Color = "0.6 0.9 0.5 0.5" },
                RectTransform = { AnchorMin = "1.4 7", AnchorMax = "2 7.8" },
                Text = { Color = "1 1 1 1.0", Text = "设置传送点1", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/home 1\""}", Color = "0.6 0.9 0.5 0.5" },
                RectTransform = { AnchorMin = "1.4 6", AnchorMax = "2 6.8" },
                Text = { Color = "1 1 1 1.0", Text = "传送回家到1", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/home remove 1\""}", Color = "0.6 0.9 0.5 0.5" },
                RectTransform = { AnchorMin = "1.4 5", AnchorMax = "2 5.8" },
                Text = { Color = "1 1 1 1.0", Text = "删除传送点1", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/tpa\""}", Color = "0.6 0.9 0.5 0.5" },
                RectTransform = { AnchorMin = "1.4 4", AnchorMax = "2 4.8" },
                Text = { Color = "1 1 1 1.0", Text = "接受传送", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/br\""}", Color = "0.8 0.5 0.2 0.5" },
                RectTransform = { AnchorMin = "1.4 3", AnchorMax = "2 3.8" },
                Text = { Color = "1 1 1 1.0", Text = "维修整栋房", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);//从上往下20-30
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/vip\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.05 12", AnchorMax = "2.65 12.8" },
                Text = { Color = "1 1 1 1.0", Text = "VIP商店", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.05 11", AnchorMax = "2.65 11.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.05 10", AnchorMax = "2.65 10.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);

			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.05 9", AnchorMax = "2.65 9.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.05 8", AnchorMax = "2.65 8.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.05 7", AnchorMax = "2.65 7.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.05 6", AnchorMax = "2.65 6.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.05 5", AnchorMax = "2.65 5.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.05 4", AnchorMax = "2.65 4.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.05 3", AnchorMax = "2.65 3.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);//从上往下30-40
				
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.7 12", AnchorMax = "3.3 12.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.7 11", AnchorMax = "3.3 11.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.7 10", AnchorMax = "3.3 10.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.7 9", AnchorMax = "3.3 9.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.7 8", AnchorMax = "3.3 8.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.7 7", AnchorMax = "3.3 7.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.7 6", AnchorMax = "3.3 6.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/0\""}", Color = "1.0 0.8 0.1 0.5" },
                RectTransform = { AnchorMin = "2.7 5", AnchorMax = "3.3 5.8" },
                Text = { Color = "1 1 1 1.0", Text = "0", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航5\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "2.7 4", AnchorMax = "3.3 4.8" },
                Text = { Color = "1 1 1 1.0", Text = "49", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航5\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "2.7 3", AnchorMax = "3.3 3.8" },
                Text = { Color = "1 1 1 1.0", Text = "50", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);//从上往下40-50
				
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/setwp 导航2\""}", Color = "0.8 0.5 0.2 0.5" },
                RectTransform = { AnchorMin = "3.35 12", AnchorMax = "3.95 12.8" },
                Text = { Color = "1 1 1 1.0", Text = "51", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航2\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "3.35 11", AnchorMax = "3.95 11.8" },
                Text = { Color = "1 1 1 1.0", Text = "52", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/setwp 导航3\""}", Color = "0.8 0.5 0.2 0.5" },
                RectTransform = { AnchorMin = "3.35 10", AnchorMax = "3.95 10.8" },
                Text = { Color = "1 1 1 1.0", Text = "53", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航3\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "3.35 9", AnchorMax = "3.95 9.8" },
                Text = { Color = "1 1 1 1.0", Text = "54", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/setwp 导航4\""}", Color = "0.8 0.5 0.2 0.5" },
                RectTransform = { AnchorMin = "3.35 8", AnchorMax = "3.95 8.8" },
                Text = { Color = "1 1 1 1.0", Text = "55", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航4\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "3.35 7", AnchorMax = "3.95 7.8" },
                Text = { Color = "1 1 1 1.0", Text = "56", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/setwp 导航5\""}", Color = "0.8 0.5 0.2 0.5" },
                RectTransform = { AnchorMin = "3.35 6", AnchorMax = "3.95 6.8" },
                Text = { Color = "1 1 1 1.0", Text = "57", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航5\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "3.35 5", AnchorMax = "3.95 5.8" },
                Text = { Color = "1 1 1 1.0", Text = "58", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航5\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "3.35 4", AnchorMax = "3.95 4.8" },
                Text = { Color = "1 1 1 1.0", Text = "59", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航5\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "3.35 3", AnchorMax = "3.95 3.8" },
                Text = { Color = "1 1 1 1.0", Text = "60", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);//从上往下50-60
				
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/setwp 导航2\""}", Color = "0.8 0.5 0.2 0.5" },
                RectTransform = { AnchorMin = "4 12", AnchorMax = "4.6 12.8" },
                Text = { Color = "1 1 1 1.0", Text = "61", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航2\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "4 11", AnchorMax = "4.6 11.8" },
                Text = { Color = "1 1 1 1.0", Text = "62", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/setwp 导航3\""}", Color = "0.8 0.5 0.2 0.5" },
                RectTransform = { AnchorMin = "4 10", AnchorMax = "4.6 10.8" },
                Text = { Color = "1 1 1 1.0", Text = "63", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航3\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "4 9", AnchorMax = "4.6 9.8" },
                Text = { Color = "1 1 1 1.0", Text = "64", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/setwp 导航4\""}", Color = "0.8 0.5 0.2 0.5" },
                RectTransform = { AnchorMin = "4 8", AnchorMax = "4.6 8.8" },
                Text = { Color = "1 1 1 1.0", Text = "65", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航4\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "4 7", AnchorMax = "4.6 7.8" },
                Text = { Color = "1 1 1 1.0", Text = "66", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/setwp 导航5\""}", Color = "0.8 0.5 0.2 0.5" },
                RectTransform = { AnchorMin = "4 6", AnchorMax = "4.6 6.8" },
                Text = { Color = "1 1 1 1.0", Text = "67", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航5\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "4 5", AnchorMax = "4.6 5.8" },
                Text = { Color = "1 1 1 1.0", Text = "68", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航5\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "4 4", AnchorMax = "4.6 4.8" },
                Text = { Color = "1 1 1 1.0", Text = "69", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/deepcover\""}", Color = "1.0 0.0 0.1 0.5" },
                RectTransform = { AnchorMin = "4 3", AnchorMax = "4.6 3.8" },
                Text = { Color = "1 1 1 1.0", Text = "管理随机名字", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);//从上往下60-70
				
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/time\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "4.75 12", AnchorMax = "5.35 12.8" },
                Text = { Color = "1 1 1 1.0", Text = "白天8点", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/time2\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "4.75 11", AnchorMax = "5.35 11.8" },
                Text = { Color = "1 1 1 1.0", Text = "晚上0点", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/wuzhuang\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "4.75 10", AnchorMax = "5.35 10.8" },
                Text = { Color = "1 1 1 1.0", Text = "刷直升机", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/fushe\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "4.75 9", AnchorMax = "5.35 9.8" },
                Text = { Color = "1 1 1 1.0", Text = "开启辐射", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/nofushe\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "4.75 8", AnchorMax = "5.35 8.8" },
                Text = { Color = "1 1 1 1.0", Text = "关闭辐射", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/glmz\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "4.75 7", AnchorMax = "5.35 7.8" },
                Text = { Color = "1 1 1 1.0", Text = "开管理秒造", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/noglmz\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "4.75 6", AnchorMax = "5.35 6.8" },
                Text = { Color = "1 1 1 1.0", Text = "关管理秒造", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/wutian\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "4.75 5", AnchorMax = "5.35 5.8" },
                Text = { Color = "1 1 1 1.0", Text = "雾天开", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/wutianno\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "4.75 4", AnchorMax = "5.35 4.8" },
                Text = { Color = "1 1 1 1.0", Text = "雾天关", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/yutian\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "4.75 3", AnchorMax = "5.35 3.8" },
                Text = { Color = "1 1 1 1.0", Text = "雨天开", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);//从上往下70-80
				
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/yutianno\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "5.4 12", AnchorMax = "6 12.8" },
                Text = { Color = "1 1 1 1.0", Text = "雨天关", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/vanish\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "5.4 11", AnchorMax = "6 11.8" },
                Text = { Color = "1 1 1 1.0", Text = "10隐身", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/radar\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "5.4 10", AnchorMax = "6 10.8" },
                Text = { Color = "1 1 1 1.0", Text = "11雷达", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/huzsj\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "5.4 9", AnchorMax = "6 9.8" },
                Text = { Color = "1 1 1 1.0", Text = "呼叫直升机", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/hukt\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "5.4 8", AnchorMax = "6 8.8" },
                Text = { Color = "1 1 1 1.0", Text = "呼叫空投", FontSize = 16, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/toggleammo\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "5.4 7", AnchorMax = "6 7.8" },
                Text = { Color = "1 1 1 1.0", Text = "56开关无限子弹", FontSize = 13, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/flyheli\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "5.4 6", AnchorMax = "6 6.8" },
                Text = { Color = "1 1 1 1.0", Text = "52开直升机", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/ubertool\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "5.4 5", AnchorMax = "6 5.8" },
                Text = { Color = "1 1 1 1.0", Text = "a10高级编辑工具", FontSize = 13, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/linghun\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "5.4 4", AnchorMax = "6 4.8" },
                Text = { Color = "1 1 1 1.0", Text = "灵魂出窍开关", FontSize = 13, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/shuayunshuji\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "5.4 3", AnchorMax = "6 3.8" },
                Text = { Color = "1 1 1 1.0", Text = "刷运输机", FontSize = 13, Align = TextAnchor.MiddleCenter }
            }, quickMain);//从上往下80-90
				
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/chongqi\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "6.05 12", AnchorMax = "6.6 12.8" },
                Text = { Color = "1 1 1 1.0", Text = "五分钟后重启", FontSize = 13, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/chongqi2\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "6.05 11", AnchorMax = "6.6 11.8" },
                Text = { Color = "1 1 1 1.0", Text = "十秒钟后重启", FontSize = 13, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/shuaxiong\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "6.05 10", AnchorMax = "6.6 10.8" },
                Text = { Color = "1 1 1 1.0", Text = "刷熊", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/shualang\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "6.05 9", AnchorMax = "6.6 9.8" },
                Text = { Color = "1 1 1 1.0", Text = "刷狼", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/shuazhu\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "6.05 8", AnchorMax = "6.6 8.8" },
                Text = { Color = "1 1 1 1.0", Text = "刷猪", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/shuama\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "6.05 7", AnchorMax = "6.6 7.8" },
                Text = { Color = "1 1 1 1.0", Text = "刷马", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/shualu\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "6.05 6", AnchorMax = "6.6 6.8" },
                Text = { Color = "1 1 1 1.0", Text = "刷鹿", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/shuaji\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "6.05 5", AnchorMax = "6.6 5.8" },
                Text = { Color = "1 1 1 1.0", Text = "刷鸡", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/shuaqiche\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "6.05 4", AnchorMax = "6.6 4.8" },
                Text = { Color = "1 1 1 1.0", Text = "刷汽车", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/shuachuan\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "6.05 3", AnchorMax = "6.6 3.8" },
                Text = { Color = "1 1 1 1.0", Text = "刷小船", FontSize = 15, Align = TextAnchor.MiddleCenter }
            }, quickMain);//从上往下90-100
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/bangdingtnt\""}", Color = "0.3 0.1 0.7 0.5" },
                RectTransform = { AnchorMin = "0.1 13", AnchorMax = "4.6 13.8" },
                Text = { Color = "1 1 1 1.0", Text = "<color=Aqua>F1输入 bind f2 tnt 绑定快捷键F2一键打开和关闭！服主须安装授权前面数字相对应插件生效！</color>", FontSize = 17, Align = TextAnchor.MiddleCenter }
            }, quickMain);//标题
			
			xjCdElements.Add(new CuiButton
            {
                Button = { Command = $"UI_XjCd_Cmd {"chat.say \"/removewp 导航5\""}", Color = "0 0 0 0.7" },
                RectTransform = { AnchorMin = "4.75 13", AnchorMax = "6.6 13.8" },
                Text = { Color = "1 1 1 1.0", Text = "服主管理专用指令", FontSize = 20, Align = TextAnchor.MiddleCenter }
            }, quickMain);//标题


			



            CuiHelper.AddUi(player, xjCdElements);
        }
        #endregion

        #region Commands
        [ChatCommand("tnt")]
            void cmdXjCd(BasePlayer player, string command, string[] args)
            {
                if (XjCdInfo.ContainsKey(player.userID))
                    if (!XjCdInfo[player.userID].open)
                    {
                        XjCdInfo[player.userID].open = true;
                        XjCdGuiCreate(player);
                    }
                    else
                        DestroyXjCd(player);
                else
                    XjCdInfo.Add(player.userID, new screen { open = false });
                    OpenXjCd(player);
            }

        [ConsoleCommand("tnt")]
            private void cmdUI_XjCd(ConsoleSystem.Arg arg)
            {
                var player = arg.Connection.player as BasePlayer;
                if (player == null)
                    return;

                if (XjCdInfo.ContainsKey(player.userID))
                    if (!XjCdInfo[player.userID].open)
                    {
                        XjCdInfo[player.userID].open = true;
                        XjCdGuiCreate(player);
                    }
                    else
                        DestroyXjCd(player);
                else
                    XjCdInfo.Add(player.userID, new screen { open = false });
                    OpenXjCd(player);
            }

        [ConsoleCommand("UI_XjCd_Cmd")]
            private void cmdUI_XjCd_Cmd(ConsoleSystem.Arg arg)
            {
                var cmd = "";
                var player = arg.Connection.player as BasePlayer;
                if (player == null)
                    return;

                CuiHelper.DestroyUi(player, "xjCd");
                XjCdInfo[player.userID].open = false;

               cmd = string.Join(" ", arg.Args.Skip(0).ToArray());
               player.Command(cmd);
            }
        #endregion
    }
}
