﻿using System;
using Newtonsoft.Json;

namespace Oxide.Plugins
{
    [Info("atntgc", "tnt", "1.1.2")]
    [Description("Replaces the default server chat icon and prefix")]

    public class atntgc : RustPlugin
    {
        #region Declared
        ConfigData configData;
        #endregion

        #region Config
        class ConfigData
        {
            [JsonProperty(PropertyName = "Chat Icon (SteamID64)")]
            public ulong SteamID { get; set; }

            [JsonProperty(PropertyName = "Title")]
            public string Title { get; set; }

            [JsonProperty(PropertyName = "Title Color")]
            public string TitleColor { get; set; }

            [JsonProperty(PropertyName = "Title Size")]
            public int TitleSize { get; set; }

            [JsonProperty(PropertyName = "Message Color")]
            public string MessageColor { get; set; }

            [JsonProperty(PropertyName = "Message Size")]
            public int MessageSize { get; set; }
        }

        protected override void LoadDefaultConfig()
        {
            var config = new ConfigData
            {
                SteamID = 76561198826737433,
                Title = "",
                TitleColor = "#ADFF2F",
                TitleSize = 13,
                MessageColor = "#ADFF2F",
                MessageSize = 13
            };
            SaveConfig(config);
        }

        void LoadConfigVariables() => configData = Config.ReadObject<ConfigData>();

        void SaveConfig(ConfigData config) => Config.WriteObject(config, true);
        #endregion

        #region Init
        void Init()
        {
            LoadConfigVariables();
        }
        #endregion

        #region OnServerHook
        object OnServerMessage(string message, string name, string color, ulong id)
        {
            string Prefix = $"<size={configData.TitleSize}><color={configData.TitleColor}>{configData.Title}</color></size>";
            string Message = $"<size={configData.MessageSize}><color={configData.MessageColor}>{message}</color></size>";

            if (message.Contains("gave")) return true;
            if(configData.Title == string.Empty)
            {
                Server.Broadcast(Message, null, configData.SteamID);
            }
            else
            {
                Server.Broadcast(Message, Prefix, configData.SteamID);
            }
            return true;
        }
        #endregion
    }
}
